Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample.fields
Class Smf83Security

    java.lang.Object
      com.ibm.jzos.sample.fields.Smf83Security

    public class Smf83Security

extends java.lang.Object

Maps a Security section of SMF record 83 (RACF Security information). This code (excluding these notes) was generated using `com.ibm.jzos.recordgen.asm.RecordClassGenerator` using the following JCL:

    //ASSEMBLE EXEC ASMAC,PARM='ADATA,LIST,NOTERM,NODECK,NOOBJECT'
    //C.SYSIN DD *
          IFASMFR 83
          END
    //C.SYSADATA DD DSN=&&ADATA,DISP=(NEW,PASS),
    //           SPACE=(CYL,(3,1))
    //*
    //JAVA EXEC PROC=EXJZOSVM,VERSION='50'
    //MAINARGS DD *
    com.ibm.jzos.recordgen.asm.RecordClassGenerator
      section=SMF83DS1
      bufoffset=true
      package=com.ibm.jzos.sample.fields
      class=Smf83Security
    //SYSADATA DD DSN=&&ADATA,DISP=(OLD,DELETE)
    //STDOUT DD PATH='/home/user/Smf83Security.java',
    //          PATHOPTS=(OWRONLY,OCREAT),
    //          PATHMODE=SIRWXU
    //STDENV DD *
    ...

See Also:
  `for a class that glues together the components of a SMF 83 record.`

Field Summary
`protected int` | `bufOffset`
`protected byte[]` | `bytes`
`protected static AssemblerDatatypeFactory` | `factory`
`protected static BinaryAsIntField` | `SMF83ATH` SMF83ATH DS BL1 SPECIAL AUTHORITIES USED @M5A
`protected static BinaryAsIntField` | `SMF83AU2` SMF83AU2 DS BL1 AUTHORITY USED CONTINUED @MJA
`protected static BinaryAsIntField` | `SMF83CNT` BEGINNING OF THE RECORD HEADER @M5A SMF83CNT DS BL2 NUMBER OF RELOCATE SECTIONS @M5A
`protected static BinaryAsIntField` | `SMF83DES` WITH ORIGINAL RACF COMMAND @M5A SMF83DES DS BL2 DESCRIPTOR FLAGS @M5A
`protected static BinaryAsLongField` | `SMF83DF3` SMF83DF3 DS BL4 FIELDS IN DATA SECTION 1 THAT ARE @D6A
`static int` | `SMF83DS1`
`protected static BinaryAsIntField` | `SMF83ERR` USER (ZERO IF NOT AVAILABLE OR NOT @M5A VERIFIED) @M5A SMF83ERR DS BL1 COMMAND PROCESSING ERROR FLAG @M5A
`protected static BinaryAsIntField` | `SMF83EVQ` 8 - ADDSD @M5A 11- ALTDSD @M5A 15- DELDSD @M5A 20- RALTER @M5A 21- RDEFINE @M5A 22- RDELETE @M5A SMF83EVQ DS BL1 EVENT CODE QUALIFIER @M5A
`protected static BinaryAsIntField` | `SMF83EVT` BIT MEANING WHEN SET @M5A BIT 0 - THIS EVENT IS A VIOLATION @M5A BIT 1 - USER NOT DEFINED TO RACF @M5A BIT 2 - RCD CONTAINS VERSION INDICATOR @M5A BIT 3 - THIS EVENT IS A WARNING @M5A BIT 4 - SMF83VRM CONTAINS A VERSION @M5A RELEASE, AND MODIFICATION NUMBER @M5A (VRRM) @M5A BIT 5 - CALLER OF R_AUDITX SERVICE INDICATED TO ALWAYS LOG @MMA BITS 6-15 - RESERVED @MMC SMF83EVT DS BL1 EVENT CODE @M5A
`protected static StringField` | `SMF83GR2` FOR WHICH THIS EVENT RECORDED @MJA SMF83GR2 DS CL8 GROUP TO WHICH THE ADRESS SPACE USER @MKC
`protected static StringField` | `SMF83GRP` SMF83GRP DS CL8 GROUP TO WHICH USER WAS CONNECTED @M5A
`protected static StringField` | `SMF83JBN` (ZEROES IF NOT AVAILABLE) @M5A SMF83JBN DS CL8 JOB NAME @M5A
`protected static BinaryAsLongField` | `SMF83LNK`
`protected static BinaryAsIntField` | `SMF83RE2` SMF83RE2 DS BL1 REASON FOR LOGGING CONTINUED @M5A
`protected static BinaryAsIntField` | `SMF83REA` BIT MEANINGS WHEN SET - @M5A BIT 0 - NORMAL AUTHORITY CHECK @M5A BIT 1 - SPECIAL ATTRIBUTE @M5A BIT 2 - OPERATIONS ATTRIBUTE @M5A BIT 3 - AUDITOR ATTRIBUTE @M5A BIT 4 - INSTALLATION EXIT ACTION @M5A BIT 5 - FAILSOFT PROCESSING @M5A BIT 6 - BYPASSED - USERID=*BYPASS* @D5A BIT 7 - TRUSTED ATTRIBUTE @01C SMF83REA DS BL1 REASON FOR LOGGING @M5A
`protected static BinaryAsIntField` | `SMF83REL` SMF83REL DS BL2 OFFSET OF FIRST RELOCATE SECTION FROM @M5A
`protected static PackedDecimalAsIntField` | `SMF83RSD` IN HUNDREDTHS OF SECONDS @M5A SMF83RSD DS PL4 DATE READER RECOGNIZED JOB CARD @M5A
`protected static BinaryAsLongField` | `SMF83RST` SMF83RST DS BL4 TIME READER RECOGNIZED JOB CARD @M5A
`protected static BinaryAsIntField` | `SMF83RSV` BIT 0 - 1 => OMVS SUPERUSER @MJA BIT 1 - 1 => OMVS SYSTEM FUNCTION @MJA BIT 2-7 - RESERVED @MJA SMF83RSV DS BL1 RESERVED @MJA
`protected static StringField` | `SMF83SEC` NUMBER (VRRM) @M5A SMF83SEC DS CL8 SECLABEL OF USER @M5A
`protected static BinaryAsIntField` | `SMF83TLV` BIT MEANINGS WHEN SET: @M5A BIT 0 - CHANGES TO THIS CLASS OF @M5A PROFILE BEING AUDITED @M5A BIT 1 - USER BEING AUDITED @M5A BIT 2 - SPECIAL USERS BEING AUDITED @M5A BIT 3 - ACCESS TO ENTITY BEING AUDITED @M5A DUE TO AUDIT OPTION @M5A OR RACHECK INSTALLATION EXIT @M5A REQUESTED LOGGING, OR TO @M5A FAILSOFT PROCESSING @M5A BIT 4 - *RACINIT* FAILURE @M5A BIT 5 - THIS COMMAND IS ALWAYS AUDITED @M5A BIT 6 - VIOLATION DETECTED AND CMDVIOL @M5A IN EFFECT @M5A BIT 7 - ACCESS TO ENTITY BEING AUDITED @M5A DUE TO GLOBALAUDIT OPTION @M5A SMF83TLV DS BL1 TERMINAL LEVEL NUMBER OF FOREGROUND @M5A
`protected static StringField` | `SMF83TRM` BIT MEANINGS WHEN SET: @M5A BIT 0 - COMMAND HAD ERROR AND COULD @M5A NOT BACKOUT SOME CHANGES @M5A BIT 1 - NO PROFILE UPDATES MADE @M5A BECAUSE OF ERROR IN PROCESSING @M5A BIT 2-7 - RESERVED @M5A SMF83TRM DS CL8 TERMINAL ID OF FOREGROUND USER @M5A
`protected static StringField` | `SMF83UID` 00YYDDDF FORMAT @M5A SMF83UID DS CL8 USER IDENTIFICATION @M5A
`protected static StringField` | `SMF83US2` SMF83US2 DS CL8 USER ID FOR THE ADDRESS SPACE @MKC
`protected static StringField` | `SMF83USR` SMF83USR DS CL8 USER ID FOR WHICH THIS EVENT RECORDED @M5A
`protected static BinaryAsIntField` | `SMF83VER` SMF83VER DS XL1 VERSION INDICATOR FROM RCVT @M5A
`protected static StringField` | `SMF83VRM` BIT MEANINGS WHEN SET: @M5A BIT 0 - AUDITING BY SECURITY LEVEL @M5A BIT 1 - AUDITING BY LOGOPTIONS @M5A BIT 2 - AUDITING BY SETROPTS SECLABELAUDIT @M5A BIT 3 - AUDITING BY SETROPTS COMPATMODE @D3A BITS 4-7 - RESERVED @D3C SMF83VRM DS CL4 RACF VERSION, RELEASE, AND MODIFICATION @M5A

Constructor Summary
`Smf83Security(byte[] buffer, int bufOffset)`

Method Summary
`int` | `getSmf83ath()`
`int` | `getSmf83au2()`
`int` | `getSmf83cnt()`
`int` | `getSmf83des()`
`long` | `getSmf83df3()`
`int` | `getSmf83err()`
`int` | `getSmf83evq()`
`int` | `getSmf83evt()`
`java.lang.String` | `getSmf83gr2()`
`java.lang.String` | `getSmf83grp()`
`java.lang.String` | `getSmf83jbn()`
`long` | `getSmf83lnk()`
`int` | `getSmf83re2()`
`int` | `getSmf83rea()`
`int` | `getSmf83rel()`
`int` | `getSmf83rsd()`
`long` | `getSmf83rst()`
`int` | `getSmf83rsv()`
`java.lang.String` | `getSmf83sec()`
`int` | `getSmf83tlv()`
`java.lang.String` | `getSmf83trm()`
`java.lang.String` | `getSmf83uid()`
`java.lang.String` | `getSmf83us2()`
`java.lang.String` | `getSmf83usr()`
`int` | `getSmf83ver()`
`java.lang.String` | `getSmf83vrm()`
`void` | `setSmf83ath(int smf83ath)`
`void` | `setSmf83au2(int smf83au2)`
`void` | `setSmf83cnt(int smf83cnt)`
`void` | `setSmf83des(int smf83des)`
`void` | `setSmf83df3(long smf83df3)`
`void` | `setSmf83err(int smf83err)`
`void` | `setSmf83evq(int smf83evq)`
`void` | `setSmf83evt(int smf83evt)`
`void` | `setSmf83gr2(java.lang.String smf83gr2)`
`void` | `setSmf83grp(java.lang.String smf83grp)`
`void` | `setSmf83jbn(java.lang.String smf83jbn)`
`void` | `setSmf83lnk(long smf83lnk)`
`void` | `setSmf83re2(int smf83re2)`
`void` | `setSmf83rea(int smf83rea)`
`void` | `setSmf83rel(int smf83rel)`
`void` | `setSmf83rsd(int smf83rsd)`
`void` | `setSmf83rst(long smf83rst)`
`void` | `setSmf83rsv(int smf83rsv)`
`void` | `setSmf83sec(java.lang.String smf83sec)`
`void` | `setSmf83tlv(int smf83tlv)`
`void` | `setSmf83trm(java.lang.String smf83trm)`
`void` | `setSmf83uid(java.lang.String smf83uid)`
`void` | `setSmf83us2(java.lang.String smf83us2)`
`void` | `setSmf83usr(java.lang.String smf83usr)`
`void` | `setSmf83ver(int smf83ver)`
`void` | `setSmf83vrm(java.lang.String smf83vrm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected static AssemblerDatatypeFactory factory

### SMF83DS1

    public static int SMF83DS1

### SMF83DF3

    protected static BinaryAsLongField SMF83DF3

  SMF83DF3 DS BL4 FIELDS IN DATA SECTION 1 THAT ARE @D6A

### SMF83LNK

    protected static BinaryAsLongField SMF83LNK

### SMF83DES

    protected static BinaryAsIntField SMF83DES

  WITH ORIGINAL RACF COMMAND @M5A
  SMF83DES DS BL2 DESCRIPTOR FLAGS @M5A

### SMF83EVT

    protected static BinaryAsIntField SMF83EVT

  BIT MEANING WHEN SET @M5A
  BIT 0 - THIS EVENT IS A VIOLATION @M5A
  BIT 1 - USER NOT DEFINED TO RACF @M5A
  BIT 2 - RCD CONTAINS VERSION INDICATOR @M5A
  BIT 3 - THIS EVENT IS A WARNING @M5A
  BIT 4 - SMF83VRM CONTAINS A VERSION @M5A
  RELEASE, AND MODIFICATION NUMBER @M5A
  (VRRM) @M5A
  BIT 5 - CALLER OF R_AUDITX SERVICE INDICATED
  TO ALWAYS LOG @MMA
  BITS 6-15 - RESERVED @MMC
  SMF83EVT DS BL1 EVENT CODE @M5A

### SMF83EVQ

    protected static BinaryAsIntField SMF83EVQ

  8 - ADDSD @M5A
  11- ALTDSD @M5A
  15- DELDSD @M5A
  20- RALTER @M5A
  21- RDEFINE @M5A
  22- RDELETE @M5A
  SMF83EVQ DS BL1 EVENT CODE QUALIFIER @M5A

### SMF83USR

    protected static StringField SMF83USR

  SMF83USR DS CL8 USER ID FOR WHICH THIS EVENT RECORDED @M5A

### SMF83GRP

    protected static StringField SMF83GRP

  SMF83GRP DS CL8 GROUP TO WHICH USER WAS CONNECTED @M5A

### SMF83REL

    protected static BinaryAsIntField SMF83REL

  SMF83REL DS BL2 OFFSET OF FIRST RELOCATE SECTION FROM @M5A

### SMF83CNT

    protected static BinaryAsIntField SMF83CNT

  BEGINNING OF THE RECORD HEADER @M5A
  SMF83CNT DS BL2 NUMBER OF RELOCATE SECTIONS @M5A

### SMF83ATH

    protected static BinaryAsIntField SMF83ATH

  SMF83ATH DS BL1 SPECIAL AUTHORITIES USED @M5A

### SMF83REA

    protected static BinaryAsIntField SMF83REA

  BIT MEANINGS WHEN SET - @M5A
  BIT 0 - NORMAL AUTHORITY CHECK @M5A
  BIT 1 - SPECIAL ATTRIBUTE @M5A
  BIT 2 - OPERATIONS ATTRIBUTE @M5A
  BIT 3 - AUDITOR ATTRIBUTE @M5A
  BIT 4 - INSTALLATION EXIT ACTION @M5A
  BIT 5 - FAILSOFT PROCESSING @M5A
  BIT 6 - BYPASSED - USERID=*BYPASS* @D5A
  BIT 7 - TRUSTED ATTRIBUTE @01C
  SMF83REA DS BL1 REASON FOR LOGGING @M5A

### SMF83TLV

    protected static BinaryAsIntField SMF83TLV

  BIT MEANINGS WHEN SET: @M5A
  BIT 0 - CHANGES TO THIS CLASS OF @M5A
  PROFILE BEING AUDITED @M5A
  BIT 1 - USER BEING AUDITED @M5A
  BIT 2 - SPECIAL USERS BEING AUDITED @M5A
  BIT 3 - ACCESS TO ENTITY BEING AUDITED @M5A
  DUE TO AUDIT OPTION @M5A
  OR RACHECK INSTALLATION EXIT @M5A
  REQUESTED LOGGING, OR TO @M5A
  FAILSOFT PROCESSING @M5A
  BIT 4 - *RACINIT* FAILURE @M5A
  BIT 5 - THIS COMMAND IS ALWAYS AUDITED @M5A
  BIT 6 - VIOLATION DETECTED AND CMDVIOL @M5A
  IN EFFECT @M5A
  BIT 7 - ACCESS TO ENTITY BEING AUDITED @M5A
  DUE TO GLOBALAUDIT OPTION @M5A
  SMF83TLV DS BL1 TERMINAL LEVEL NUMBER OF FOREGROUND @M5A

### SMF83ERR

    protected static BinaryAsIntField SMF83ERR

  USER (ZERO IF NOT AVAILABLE OR NOT @M5A
  VERIFIED) @M5A
  SMF83ERR DS BL1 COMMAND PROCESSING ERROR FLAG @M5A

### SMF83TRM

    protected static StringField SMF83TRM

  BIT MEANINGS WHEN SET: @M5A
  BIT 0 - COMMAND HAD ERROR AND COULD @M5A
  NOT BACKOUT SOME CHANGES @M5A
  BIT 1 - NO PROFILE UPDATES MADE @M5A
  BECAUSE OF ERROR IN PROCESSING @M5A
  BIT 2-7 - RESERVED @M5A
  SMF83TRM DS CL8 TERMINAL ID OF FOREGROUND USER @M5A

### SMF83JBN

    protected static StringField SMF83JBN

  (ZEROES IF NOT AVAILABLE) @M5A
  SMF83JBN DS CL8 JOB NAME @M5A

### SMF83RST

    protected static BinaryAsLongField SMF83RST

  SMF83RST DS BL4 TIME READER RECOGNIZED JOB CARD @M5A

### SMF83RSD

    protected static PackedDecimalAsIntField SMF83RSD

  IN HUNDREDTHS OF SECONDS @M5A
  SMF83RSD DS PL4 DATE READER RECOGNIZED JOB CARD @M5A

### SMF83UID

    protected static StringField SMF83UID

  00YYDDDF FORMAT @M5A
  SMF83UID DS CL8 USER IDENTIFICATION @M5A

### SMF83VER

    protected static BinaryAsIntField SMF83VER

  SMF83VER DS XL1 VERSION INDICATOR FROM RCVT @M5A

### SMF83RE2

    protected static BinaryAsIntField SMF83RE2

  SMF83RE2 DS BL1 REASON FOR LOGGING CONTINUED @M5A

### SMF83VRM

    protected static StringField SMF83VRM

  BIT MEANINGS WHEN SET: @M5A
  BIT 0 - AUDITING BY SECURITY LEVEL @M5A
  BIT 1 - AUDITING BY LOGOPTIONS @M5A
  BIT 2 - AUDITING BY SETROPTS SECLABELAUDIT @M5A
  BIT 3 - AUDITING BY SETROPTS COMPATMODE @D3A
  BITS 4-7 - RESERVED @D3C
  SMF83VRM DS CL4 RACF VERSION, RELEASE, AND MODIFICATION @M5A

### SMF83SEC

    protected static StringField SMF83SEC

  NUMBER (VRRM) @M5A
  SMF83SEC DS CL8 SECLABEL OF USER @M5A

### SMF83AU2

    protected static BinaryAsIntField SMF83AU2

  SMF83AU2 DS BL1 AUTHORITY USED CONTINUED @MJA

### SMF83RSV

    protected static BinaryAsIntField SMF83RSV

  BIT 0 - 1 => OMVS SUPERUSER @MJA
  BIT 1 - 1 => OMVS SYSTEM FUNCTION @MJA
  BIT 2-7 - RESERVED @MJA
  SMF83RSV DS BL1 RESERVED @MJA

### SMF83US2

    protected static StringField SMF83US2

  SMF83US2 DS CL8 USER ID FOR THE ADDRESS SPACE @MKC

### SMF83GR2

    protected static StringField SMF83GR2

  FOR WHICH THIS EVENT RECORDED @MJA
  SMF83GR2 DS CL8 GROUP TO WHICH THE ADRESS SPACE USER @MKC

### bytes

    protected byte[] bytes

### bufOffset

    protected int bufOffset

Constructor Detail

### Smf83Security

    public Smf83Security(byte[] buffer,
                         int bufOffset)

Method Detail

### getSmf83df3

    public long getSmf83df3()

### setSmf83df3

    public void setSmf83df3(long smf83df3)

### getSmf83lnk

    public long getSmf83lnk()

### setSmf83lnk

    public void setSmf83lnk(long smf83lnk)

### getSmf83des

    public int getSmf83des()

### setSmf83des

    public void setSmf83des(int smf83des)

### getSmf83evt

    public int getSmf83evt()

### setSmf83evt

    public void setSmf83evt(int smf83evt)

### getSmf83evq

    public int getSmf83evq()

### setSmf83evq

    public void setSmf83evq(int smf83evq)

### getSmf83usr

    public java.lang.String getSmf83usr()

### setSmf83usr

    public void setSmf83usr(java.lang.String smf83usr)

### getSmf83grp

    public java.lang.String getSmf83grp()

### setSmf83grp

    public void setSmf83grp(java.lang.String smf83grp)

### getSmf83rel

    public int getSmf83rel()

### setSmf83rel

    public void setSmf83rel(int smf83rel)

### getSmf83cnt

    public int getSmf83cnt()

### setSmf83cnt

    public void setSmf83cnt(int smf83cnt)

### getSmf83ath

    public int getSmf83ath()

### setSmf83ath

    public void setSmf83ath(int smf83ath)

### getSmf83rea

    public int getSmf83rea()

### setSmf83rea

    public void setSmf83rea(int smf83rea)

### getSmf83tlv

    public int getSmf83tlv()

### setSmf83tlv

    public void setSmf83tlv(int smf83tlv)

### getSmf83err

    public int getSmf83err()

### setSmf83err

    public void setSmf83err(int smf83err)

### getSmf83trm

    public java.lang.String getSmf83trm()

### setSmf83trm

    public void setSmf83trm(java.lang.String smf83trm)

### getSmf83jbn

    public java.lang.String getSmf83jbn()

### setSmf83jbn

    public void setSmf83jbn(java.lang.String smf83jbn)

### getSmf83rst

    public long getSmf83rst()

### setSmf83rst

    public void setSmf83rst(long smf83rst)

### getSmf83rsd

    public int getSmf83rsd()

### setSmf83rsd

    public void setSmf83rsd(int smf83rsd)

### getSmf83uid

    public java.lang.String getSmf83uid()

### setSmf83uid

    public void setSmf83uid(java.lang.String smf83uid)

### getSmf83ver

    public int getSmf83ver()

### setSmf83ver

    public void setSmf83ver(int smf83ver)

### getSmf83re2

    public int getSmf83re2()

### setSmf83re2

    public void setSmf83re2(int smf83re2)

### getSmf83vrm

    public java.lang.String getSmf83vrm()

### setSmf83vrm

    public void setSmf83vrm(java.lang.String smf83vrm)

### getSmf83sec

    public java.lang.String getSmf83sec()

### setSmf83sec

    public void setSmf83sec(java.lang.String smf83sec)

### getSmf83au2

    public int getSmf83au2()

### setSmf83au2

    public void setSmf83au2(int smf83au2)

### getSmf83rsv

    public int getSmf83rsv()

### setSmf83rsv

    public void setSmf83rsv(int smf83rsv)

### getSmf83us2

    public java.lang.String getSmf83us2()

### setSmf83us2

    public void setSmf83us2(java.lang.String smf83us2)

### getSmf83gr2

    public java.lang.String getSmf83gr2()

### setSmf83gr2

    public void setSmf83gr2(java.lang.String smf83gr2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD